Package com.io7m.idstore.server.internal.user_view

# Class IdUViewLogin

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.io7m.idstore.server.internal.common.IdCommonInstrumentedServlet
com.io7m.idstore.server.internal.user_view.IdUViewLogin

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public final class IdUViewLogin extends IdCommonInstrumentedServlet
The login form.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUViewLogin(IdServiceDirectoryType inServices)`
  The login form.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse)`

  ### Methods inherited from class com.io7m.idstore.server.internal.common.IdCommonInstrumentedServlet

  `service`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdUViewLogin

    public IdUViewLogin(IdServiceDirectoryType inServices)
    The login form.
    Parameters:
      `inServices` - The service directory

- ## Method Details

  - ### service

    protected void service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse) throws jakarta.servlet.ServletException, IOException
    Overrides:
      `service` in class `jakarta.servlet.http.HttpServlet`
    Throws:
      `jakarta.servlet.ServletException`
      `IOException`